### Method

# Clutter Actor allocate_preferred_size

#### Declaration [src]

    void
    clutter_actor_allocate_preferred_size (
      ClutterActor* self,
      float x,
      float y
    )

#### Description [src]

Allocates the natural size of `self`.

This function is a utility call for `ClutterActor` implementations that allocates the actor’s preferred natural size. It can be used by fixed layout managers (like `ClutterGroup` or so called ‘composite actors’) inside the `Clutter.ActorClass.allocate` implementation to give each child exactly how much space it requires, regardless of the size of the parent.

This function is not meant to be used by applications. It is also not meant to be used outside the implementation of the `ClutterActorClass`.allocate virtual function.

#### Parameters

`x`

  Type: `float`

  The actor’s X coordinate.

`y`

  Type: `float`

  The actor’s Y coordinate.